Bug 76021 - imap-2001a misinterprets lock file as mailbox
imap-2001a misinterprets lock file as mailbox
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: imap (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-15 17:17 EDT by Kenneth Porter
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-15 17:17:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kenneth Porter 2002-10-15 17:17:16 EDT
Using imap-2001a-1.72.0 on Red Hat 7.2, and Mulberry v3 on Windows as client.
Procmail is configured to filter mail into mailboxes under ~/mail, and Mulberry
is configured to check all IMAP boxes in this tree. Occasionally Mulberry
reports a problem querying a mailbox name with ".lock" suffix, suggesting that
UW-IMAP server is misinterpreting a mbox lock file as a mailbox. (For instance,
given a mailbox named "Clarence", Mulberry might complain about accessing a
mailbox named "Clarence.lock", which is probably being generated by another imap
instance or procmail.)
Comment 1 Mike A. Harris 2002-10-17 03:20:19 EDT
This is entirely an email client issue IMHO, and not an imap server
bug.  There are various email clients, including even Netscape
Navigator 4.7 which in some misconfigurations wont work properly with
the imap server.  The solution is to properly configure the email
client.

If you truely believe this to be an IMAP server bug, please report
it directly to the UW imap development team, so they can look into
it and give you their official opinion on the matter.

Note You need to log in before you can comment on or make changes to this bug.